> ## Documentation Index
> Fetch the complete documentation index at: https://documents.trocco.io/llms.txt
> Use this file to discover all available pages before exploring further.
# 接続情報一覧取得
> 接続情報一覧を取得します。
接続情報の詳細については[TROCCO Docs](https://documents.trocco.io/docs/connection-configurations)を参照してください。
## OpenAPI
````json GET /api/connections/{connection_type}
{
"openapi": "3.0.3",
"info": {
"title": "trocco APIリファレンス",
"description": "trocco APIリファレンス",
"version": "0.0.1"
},
"servers": [
{
"url": "https://trocco.io"
}
],
"security": [
{
"ApiKeyAuth": []
}
],
"tags": [
{
"name": "users",
"description": "ユーザー",
"externalDocs": {
"url": "https://documents.trocco.io/docs/about-account-user"
}
},
{
"name": "teams",
"description": "チーム",
"externalDocs": {
"url": "https://documents.trocco.io/docs/team"
}
},
{
"name": "connections",
"description": "接続情報",
"externalDocs": {
"url": "https://documents.trocco.io/docs/connection-configurations"
}
},
{
"name": "custom_connectors",
"description": "カスタムコネクタ定義"
},
{
"name": "datamart_definitions",
"description": "データマート定義",
"externalDocs": {
"url": "https://documents.trocco.io/docs/data-mart"
}
},
{
"name": "environment_groups",
"description": "環境グループ"
},
{
"name": "environments",
"description": "環境"
},
{
"name": "jobs",
"description": "転送ジョブ",
"externalDocs": {
"url": "https://documents.trocco.io/docs/etl-configuration"
}
},
{
"name": "pipeline_jobs",
"description": "ワークフロージョブ",
"externalDocs": {
"url": "https://documents.trocco.io/docs/about-workflow"
}
},
{
"name": "resource_groups",
"description": "リソースグループ",
"externalDocs": {
"url": "https://documents.trocco.io/docs/resource-group"
}
},
{
"name": "dbt_git_repositories",
"description": "dbt Gitリポジトリ"
},
{
"name": "dbt_job_definitions",
"description": "dbtジョブ設定",
"externalDocs": {
"url": "https://documents.trocco.io/docs/dbt-job-configuration"
}
},
{
"name": "dbt_jobs",
"description": "dbtジョブ",
"externalDocs": {
"url": "https://documents.trocco.io/docs/dbt-job-configuration"
}
},
{
"name": "notification_destinations",
"description": "通知先",
"externalDocs": {
"url": "https://documents.trocco.io/docs/trocco-tutorial-additional-settings"
}
}
],
"externalDocs": {
"description": "trocco APIについて",
"url": "https://documents.trocco.io/docs/trocco-api"
},
"paths": {
"/api/connections/{connection_type}": {
"get": {
"summary": "接続情報一覧取得",
"description": "接続情報一覧を取得します。
\n接続情報の詳細については[TROCCO Docs](https://documents.trocco.io/docs/connection-configurations)を参照してください。\n",
"operationId": "getConnections",
"tags": [
"connections"
],
"parameters": [
{
"name": "connection_type",
"description": "接続情報種別",
"in": "path",
"required": true,
"schema": {
"type": "string",
"enum": [
"athena",
"bigquery",
"gcs",
"google_spreadsheets",
"snowflake",
"mysql",
"s3",
"salesforce",
"postgresql",
"sqlserver",
"google_analytics4",
"google_drive",
"kintone",
"sftp",
"databricks",
"mongodb",
"marketo",
"redshift",
"oracle",
"custom_connector",
"backlog",
"bakuraku",
"kaonavi",
"pagerduty",
"smart_hr"
]
},
"example": "bigquery"
},
{
"name": "name",
"description": "接続情報名で絞り込みます。部分一致検索が可能です。\n正規表現での検索の場合 `//` で囲んでください。\n",
"in": "query",
"required": false,
"schema": {
"type": "string"
}
},
{
"name": "limit",
"description": "取得する接続情報一覧の最大件数",
"in": "query",
"required": false,
"schema": {
"type": "integer",
"format": "int64",
"default": 50,
"maximum": 200
},
"example": 10
},
{
"name": "cursor",
"description": "取得する接続情報一覧の最初のレコードを示すページネーションカーソル
\nレスポンスに含まれる`next_cursor`をセットすると、後続の接続情報一覧を取得できます。\n",
"in": "query",
"required": false,
"schema": {
"type": "string"
},
"example": "eyJpZCI6MjF9"
}
],
"responses": {
"200": {
"description": "接続情報一覧を返します。",
"content": {
"application/json": {
"schema": {
"allOf": [
{
"type": "object",
"properties": {
"items": {
"type": "array",
"items": {
"title": "Connection",
"type": "object",
"properties": {
"id": {
"type": "integer",
"format": "int64",
"description": "接続情報ID",
"example": 1
},
"name": {
"type": "string",
"description": "接続情報名",
"example": "サンプル"
},
"description": {
"type": "string",
"description": "接続情報の説明",
"example": "desc"
},
"resource_group_id": {
"type": "integer",
"format": "int64",
"description": "リソースグループID",
"nullable": true,
"example": 1
},
"is_oauth": {
"type": "boolean",
"description": "BigQuery, GoogleAnalytics4, Google SpreadSheets の場合: OAuth認証を使用しているかどうか\n",
"example": true
},
"is_workload_identity_federation": {
"type": "boolean",
"description": "BigQueryの場合: Workload Identity Federation認証を使用しているかどうか\n",
"example": true
},
"workload_identity_federation_config": {
"type": "object",
"description": "BigQueryの場合: Workload Identity Federation設定(JSON object)\n",
"additionalProperties": true,
"nullable": true,
"example": {
"type": "external_account",
"audience": "//iam.googleapis.com/projects/123456789012/locations/global/workloadIdentityPools/example-pool/providers/example-provider",
"subject_token_type": "urn:ietf:params:oauth:token-type:jwt",
"token_url": "https://sts.googleapis.com/v1/token"
}
},
"wif_external_id": {
"type": "string",
"description": "BigQueryの場合: Workload Identity Federationの外部ID\n",
"nullable": true,
"example": "my-external-id"
},
"has_service_account_json_key": {
"type": "boolean",
"description": "BigQuery, GoogleAnalytics4の場合: サービスアカウントのJSONキーが登録されているかどうか\n",
"example": false
},
"project_id": {
"type": "string",
"description": "BigQueryの場合: プロジェクトID\n",
"example": "MyProject"
},
"google_oauth2_credential_id": {
"type": "integer",
"format": "int64",
"description": "BigQuery, GoogleAnalytics4, Google SpreadSheets の場合: OAuth認証情報ID\n",
"nullable": true,
"example": 1
},
"host": {
"type": "string",
"nullable": true,
"description": "Snowflake, PostgreSQL, SQL Server, SFTPの場合, MongoDB, Redshift, Oracleの場合: ホスト名\nOracleの場合: tns_admin_oraを指定した場合はnullになります\nBacklogの場合: ホスト名。ポート番号を含めることができます(例: *.backlog.com:443)\nSmartHRの場合: ホスト名。ポート番号を含めることができます(例: *.smarthr.jp)\n",
"example": "********.********.********.snowflakecomputing.com"
},
"http_path": {
"type": "string",
"description": "Databricksの場合: HTTPパス\n",
"example": "sql/protocolv1/o/1234567890123456/012"
},
"port": {
"type": "integer",
"nullable": true,
"description": "PostgreSQL, SQL Server, SFTPの場合, MongoDB, Redshift, Oracleの場合: ポート\nOracleの場合: tns_admin_oraを指定した場合はnullになります\n",
"example": 5432
},
"auth_method": {
"type": "string",
"enum": [
"user_password",
"key_pair",
"programmatic_access_token",
"oauth",
"auto",
"scram-sha-1",
"scram-sha-256",
"mongodb-x509"
],
"description": "Snowflakeの場合: 認証方法 (key_pair, programmatic_access_token, oauth, user_password)。なお、ユーザー・パスワード認証 (user_password) は、Snowflakeの仕様変更により将来的に廃止される予定です。Microsoft Entra IDによるOAuth認証 (oauth) の接続情報はTROCCOの画面からのみ作成できます。\nSalesforceの場合: 認証方法 (user_password)\nMongoDBの場合: 認証方法 (auto, scram-sha-1, scram-sha-256, mongodb-x509)\n",
"example": "key_pair",
"nullable": true
},
"auth_type": {
"type": "string",
"enum": [
"pat",
"oauth-m2m",
"api_key",
"oauth2"
],
"default": "pat",
"description": "Databricksの場合: 認証方法 (pat, oauth-m2m)\nカスタムコネクタの場合: 紐付くカスタムコネクタ定義の認証方式 (api_key, oauth2)\n",
"example": "pat"
},
"user_name": {
"type": "string",
"description": "Salesforce, Snowflake, PostgreSQL, SQL Server, SFTPの場合, MongoDB, Redshift, Oracleの場合: ユーザー名\n",
"example": "test",
"nullable": true
},
"role": {
"type": "string",
"description": "Snowflakeの場合: クエリの実行に使用するロールを指定します。\n",
"nullable": true,
"example": "TEST"
},
"aws_privatelink_enabled": {
"type": "boolean",
"description": "Snowflake, SFTP, Redshift, Oracleの場合: AWS PrivateLinkを使用しているかどうか\n",
"example": false
},
"driver": {
"type": "string",
"nullable": true,
"description": "Snowflake, PostgreSQL, SQL Serverの場合: JDBCドライバのバージョン\nOracleの場合: JDBCドライバのファイル名 (12c-ojdbc7.jar, 19c-ojdbc8.jar, 26ai-ojdbc8.jar)\n",
"example": "3.14.2"
},
"tns_admin_ora": {
"type": "string",
"nullable": true,
"description": "Oracleの場合: TNSネーミングを使用して接続する場合の tnsnames.ora の内容。指定した場合、host / port / connection_type は無視されます。\n",
"example": "ORCL =\n (DESCRIPTION =\n (ADDRESS = (PROTOCOL = TCP)(HOST = example.com)(PORT = 1521))\n (CONNECT_DATA = (SERVICE_NAME = orcl))\n )\n"
},
"ssl_direct_negotiation": {
"type": "boolean",
"nullable": true,
"description": "PostgreSQLの場合: SSLダイレクトネゴシエーション(sslnegotiation=direct)を有効にするかどうか。JDBCドライバー 42.7.4以上が必要です。\n",
"example": false
},
"salesforce_oauth2_credential_id": {
"type": "integer",
"format": "int64",
"description": "Salesforceの場合: OAuth認証情報ID\n",
"nullable": true,
"example": 1
},
"is_sandbox": {
"type": "boolean",
"description": "Salesforceの場合: サンドボックス環境を使用しているかどうか\n",
"example": false
},
"has_security_token": {
"type": "boolean",
"description": "Salesforceの場合: セキュリティトークンが登録されているかどうか\n",
"example": false
},
"auth_end_point": {
"type": "string",
"description": "Salesforceの場合: 認証エンドポイント\n",
"default": "https://login.salesforce.com/services/Soap/u/",
"example": "https://login.salesforce.com/services/Soap/u/"
},
"has_password": {
"type": "boolean",
"description": "Salesforce, PostgreSQL, SFTPの場合の場合, MongoDB, Redshift, Oracleの場合: passwordを設定しているかどうか\n",
"example": true
},
"ssl": {
"type": "boolean",
"description": "PostgreSQL, SQL Server, Redshift, Oracleの場合: SSL\n",
"example": true
},
"ssl_ca": {
"type": "string",
"nullable": true,
"description": "Oracleの場合: SSL証明書 (CA証明書)\n",
"example": "-----BEGIN CERTIFICATE-----\n...\n-----END CERTIFICATE-----"
},
"has_ssl_ca": {
"type": "boolean",
"description": "Oracleの場合: SSL証明書 (ssl_ca) を設定しているかどうか\n",
"example": false
},
"has_wallet_file": {
"type": "boolean",
"description": "Oracleの場合: Oracle Wallet (Autonomous Database接続用の証明書ファイル) を設定しているかどうか。\n",
"example": false
},
"ssl_mode": {
"type": "string",
"description": "PostgreSQLの場合の場合: SSLモード\n",
"example": "require",
"nullable": true
},
"gateway_enabled": {
"type": "boolean",
"description": "PostgreSQL, SQL Server, MongoDB, Redshift, Oracleの場合: SSHトンネルを使用する場合はtrueを指定します。\n",
"example": true
},
"domain": {
"type": "string",
"description": "kintoneの場合の場合: ドメイン\n",
"example": "example.com"
},
"login_method": {
"type": "string",
"description": "kintoneの場合の場合: ログイン方法\n",
"example": "username_and_password",
"enum": [
"username_and_password",
"token"
]
},
"username": {
"type": "string",
"description": "kintoneの場合, カオナビの場合: ユーザーネーム\n",
"example": "テストユーザー",
"nullable": true
},
"basic_auth_username": {
"type": "string",
"description": "kintoneの場合の場合: ベーシック認証ユーザーネーム\n",
"example": "テストベーシック認証ユーザー",
"nullable": true
},
"client_certificate_enabled": {
"type": "boolean",
"description": "kintoneの場合: クライアント証明書(セキュアアクセス)を使用するかどうか。証明書とパスワードの値は返しません\n",
"example": false
},
"connection_string_format": {
"type": "string",
"enum": [
"standard",
"dns_seed_list"
],
"description": "MongoDBの場合: 接続文字列フォーマット\n",
"example": "standard",
"nullable": true
},
"read_preference": {
"type": "string",
"enum": [
"primary",
"primaryPreferred",
"secondary",
"secondaryPreferred",
"nearest"
],
"description": "MongoDBの場合: 読み取り設定\n",
"example": "primary",
"nullable": true
},
"auth_source": {
"type": "string",
"description": "MongoDBの場合: 認証データベース名\n",
"example": "admin",
"nullable": true
},
"replica_set": {
"type": "string",
"description": "MongoDBの場合: レプリカセット名\n",
"example": "rs0",
"nullable": true
},
"read_preference_tags": {
"type": "array",
"description": "MongoDBの場合: 読み取り設定タグ。タグセットの配列で、各タグセットは{key, value}オブジェクトの配列です。\n",
"items": {
"type": "array",
"items": {
"type": "object",
"properties": {
"key": {
"type": "string"
},
"value": {
"type": "string"
}
},
"required": [
"key",
"value"
]
}
},
"nullable": true
},
"strict_read_preference_tags": {
"type": "boolean",
"description": "MongoDBの場合: 厳密な読み取り設定タグ。trueの場合、タグに一致するサーバーがない場合にフォールバックしません。\n",
"example": false
},
"gateway_host": {
"type": "string",
"description": "PostgreSQL, MongoDB, Redshift, Oracleの場合: SSHホスト\n",
"example": "bastion.example.com",
"nullable": true
},
"gateway_port": {
"type": "integer",
"description": "PostgreSQL, MongoDB, Redshift, Oracleの場合: SSHポート\n",
"example": 22,
"nullable": true
},
"gateway_user_name": {
"type": "string",
"description": "PostgreSQL, MongoDB, Redshift, Oracleの場合: SSHユーザー\n",
"example": "sshuser",
"nullable": true
},
"has_gateway_password": {
"type": "boolean",
"description": "PostgreSQL, MongoDB, Redshift, Oracleの場合: SSHパスワードが設定されているかどうか\n",
"example": true
},
"has_gateway_key": {
"type": "boolean",
"description": "PostgreSQL, MongoDB, Redshift, Oracleの場合: SSH秘密鍵が設定されているかどうか\n",
"example": false
},
"has_gateway_key_passphrase": {
"type": "boolean",
"description": "PostgreSQL, MongoDB, Redshift, Oracleの場合: SSH秘密鍵のパスフレーズが設定されているかどうか\n",
"example": false
},
"has_private_key_passphrase": {
"type": "boolean",
"description": "Snowflakeの場合: 秘密鍵のパスフレーズが設定されているかどうか\n",
"example": false
},
"user_directory_is_root": {
"type": "boolean",
"description": "SFTPの場合の場合: 相対パスとして探索する\n",
"example": true
},
"windows_server": {
"type": "boolean",
"description": "SFTPの場合の場合: Windowsサーバー\n",
"example": true
},
"ssh_tunnel_id": {
"type": "integer",
"description": "SFTP, Redshift, Oracleの場合: SSHトンネル設定\n",
"example": 1,
"nullable": true
},
"has_secret_key": {
"type": "boolean",
"description": "SFTPの場合: 秘密鍵が登録されているかどうか\n",
"example": true
},
"has_secret_key_passphrase": {
"type": "boolean",
"description": "SFTPの場合: 秘密鍵のパスフレーズが登録されているかどうか\n",
"example": false
},
"api_key": {
"type": "string",
"description": "Backlog, SmartHR, バクラク, PagerDutyの場合: API Key\n",
"example": "example_value"
},
"aws_access_key_id": {
"type": "string",
"description": "Redshiftの場合: AWSアクセスキーID\n",
"example": "AKIAIOSFODNN7EXAMPLE"
},
"password": {
"type": "string",
"description": "カオナビの場合: ユーザー・パスワード認証を使用する場合はパスワードを指定します。\n",
"example": "example_value"
},
"account_id": {
"type": "string",
"description": "Marketoの場合: REST APIのエンドポイントの中の一部がアカウントIDになっています。\nhttps://XXX-XXX-XXX.mktorest.com/rest におけるXXX-XXX-XXXの部分です。\n",
"example": "123-ABC-456"
},
"client_id": {
"type": "string",
"description": "Marketoの場合: クライアントID\n",
"example": "client_xyz789"
},
"has_client_secret": {
"type": "boolean",
"description": "Marketoの場合: クライアントシークレット\n",
"example": true
},
"api_max_call_count": {
"type": "integer",
"format": "int64",
"description": "Marketoの場合: APIコール上限値\n",
"example": 5000,
"default": 1000
},
"custom_connector_id": {
"type": "integer",
"format": "int64",
"description": "カスタムコネクタの場合: 紐付くカスタムコネクタ定義のID\n",
"example": 1
},
"oauth2_client_id": {
"type": "string",
"description": "カスタムコネクタ(OAuth2認証方式)の場合: OAuth2クライアントID\n",
"nullable": true,
"example": "client_xyz789"
},
"scopes": {
"type": "array",
"items": {
"type": "string"
},
"description": "カスタムコネクタ(OAuth2認証方式)の場合: OAuth2スコープ一覧(作成順)\n",
"nullable": true,
"example": [
"read",
"write"
]
},
"authorized": {
"type": "boolean",
"description": "カスタムコネクタ(OAuth2認証方式)の場合: OAuth2認証が完了しているかどうか。\nclient_credentialsグラントの場合は対話的な認証操作が不要なため常にtrue。\nauthorization_codeグラントの場合、外部APIでの作成直後は必ずfalse(未認可)で、\nTROCCO画面上で認証を完了すると初めてtrueになる。\n",
"example": false
}
},
"required": [
"id",
"name",
"description",
"resource_group_id"
],
"example": {
"id": 1,
"name": "サンプル",
"description": "desc",
"resource_group_id": 1,
"is_oauth": true,
"has_service_account_json_key": false,
"project_id": "MyProject",
"google_oauth2_credential_id": 0
}
}
}
},
"required": [
"items"
]
},
{
"title": "Pagination",
"type": "object",
"properties": {
"next_cursor": {
"description": "後続のページネーションリクエストの取得開始レコードを示すカーソル値です。",
"type": "string"
}
}
}
]
}
}
}
},
"401": {
"description": "認証エラーです。API KEYをご確認ください。\n"
},
"404": {
"description": "指定した接続情報種別が存在しません。"
}
}
}
}
},
"components": {
"securitySchemes": {
"ApiKeyAuth": {
"type": "apiKey",
"in": "header",
"name": "Authorization",
"description": "認証キーとなるAPI KEYをAuthorization: Token {{API KEY}}の形式でヘッダーにセットします。
\nAPI KEYがabc123の場合は、Authorization: Token abc123とします。
\nAPI KEYの作成方法は、TROCCO API KEYの作成を参照ください。\n"
}
}
}
}
````